
<template>
  <el-container style="height: 100%">
    <el-header>
      <commonheader></commonheader>
    </el-header>
    <el-container>
      <el-aside width="auto">
        <commonaside></commonaside>
      </el-aside>
      <el-main>
        <h2 align="center"><strong>查看我的店铺</strong></h2>
        <div class="tabControl" v-if="userIsFoodMerchant===5">
          <h4 align="center"><strong>食品店铺</strong></h4>
          <el-row class="foodrow" type="flex" justify="center" v-for="(item,index) in foodshopList" id=item :key="item.shopId">
            <el-col :lg="12" :md="15" :sm="18" :xs="24" class="foodcol" :key="index">
              <el-card class="el-card">
                <el-row :gutter="60" class="foodrow" type="flex" >
                  <el-col :lg="10" :xs="24" class="foodcol">
                    <img :src="item.shopImage" class="image">
                  </el-col>
                  <el-col :lg="14" :xs="24" class="foodcol">
                    <span style="text-align: center;display:block; font-size: 1.6em;">{{item.shopName}}<br></span>
                    <span style="display:block; font-size: 1.2em; width:auto;">{{'商店介绍：'+item.shopIntroduction}}</span>
                    <span style="display:block; font-size: 1.2em; width:auto;">{{'商店类型：'+item.shopType}}</span>
                    <span style="display:block; font-size: 1.2em; width:auto;">{{'商店地址：'+item.shopLocation}}</span>
                    <div style="width: 100%; text-align:right; margin-top: 20px; " >
                      <el-button type="primary" size="mini" @click="shop(item.shopId)">管理店铺</el-button>
                    </div>
                  </el-col>
                </el-row>
              </el-card>
            </el-col>
          </el-row>
        </div>
        <div class="tabControl" v-if="userIsGymMerchant===5">
          <h4 align="center"><strong>健身店铺</strong></h4>
          <el-row class="foodrow" type="flex" justify="center" v-for="(item,index) in workoutshopList" id=item :key="item.shopId">
            <el-col :lg="12" :md="15" :sm="18" :xs="24" class="foodcol" :key="index">
              <el-card class="el-card">
                <el-row :gutter="60" class="foodrow" type="flex" >
                  <el-col :lg="10" :xs="24" class="foodcol">
                    <img :src="item.shopImage" class="image">
                  </el-col>
                  <el-col :lg="14" :xs="24" class="foodcol">
                    <span style="text-align: center;display:block; font-size: 1.6em;">{{item.shopName}}<br></span>
                    <span style="display:block; font-size: 1.2em; width:auto;">{{'商店介绍：'+item.shopIntroduction}}</span>
                    <span style="display:block; font-size: 1.2em; width:auto;">{{'商店类型：'+item.shopType}}</span>
                    <span style="display:block; font-size: 1.2em; width:auto;">{{'商店地址：'+item.shopLocation}}</span>
                    <div style="width: 100%; text-align:right; margin-top: 20px; " >
                      <el-button type="primary" size="mini" @click="service(item.shopId)">管理店铺</el-button>
                    </div>
                  </el-col>
                </el-row>
              </el-card>
            </el-col>
          </el-row>
        </div>
      </el-main>
    </el-container>
  </el-container>
</template>

<script>
import browsemyshops from '../services/browsemyshops'
import commonaside from '../components/commonaside.vue'
import commonheader from '../components/commonheader.vue'
import showViewInfoService from '../services/showViewInfoService'
export default {
  components: {
    commonaside,
    commonheader
  },

  name: 'browsemyshops',
  data () {
    return {
      userIsFoodMerchant: 0,
      userIsGymMerchant: 0,
      foodshopList: [],
      workoutshopList: []
    }
  },
  created () {
    this.getinfo()
    this.getfoodshopList()
    this.getworkoutshopList()
  },
  methods: {
    async getinfo () {
      try {
        const response = await showViewInfoService.getInfo(
          {
            headers: {'Authorization': this.$store.state.token}
          })
        // console.log(response.data)
        this.userIsFoodMerchant = response.data.data.user.userIsFoodMerchant
        this.userIsGymMerchant = response.data.data.user.userIsGymMerchant
      } catch (error) {
        if (typeof (error.response) === 'undefined' || typeof (error.response.data) === 'undefined') {
          this.error = 'Network Error'
        } else {
          this.error = error.response.data.error
        }
      }
    },
    async getfoodshopList () {
      try {
        const response = await browsemyshops.getfoodshop({
          headers: {'Authorization': this.$store.state.token}
        })
        this.foodshopList = response.data.data.shopList
      } catch (error) {
        if (typeof (error.response) === 'undefined' || typeof (error.response.data) === 'undefined') {
          this.error = 'Network Error'
        } else {
          this.error = error.response.data.error
        }
      }
    },
    async getworkoutshopList () {
      try {
        const response = await browsemyshops.getworkoutshop({
          headers: {'Authorization': this.$store.state.token}
        })
        this.workoutshopList = response.data.data.shopList
      } catch (error) {
        if (typeof (error.response) === 'undefined' || typeof (error.response.data) === 'undefined') {
          this.error = 'Network Error'
        } else {
          this.error = error.response.data.error
        }
      }
    },
    shop (shopId) {
      this.$router.push('/browsemyshop/' + shopId)
    },
    service (shopId) {
      this.$router.push('/BrowseMyService/' + shopId)
    }
  }
}

</script>
<style scoped>
.time {
  font-size: 13px;
  color: #999;
}
.bottom {
  margin-top: 13px;
  line-height: 12px;
}
.clearfix:before,
.clearfix:after {
  display: table;
  content: "";
}
.clearfix:after {
  clear: both
}
.image {
  width: 100%;
  display: block;
}
.foodrow {
  margin-bottom: 20px;
  display: flex;
  flex-wrap: wrap
}
.foodrow .foodcol {
  border-radius: 4px;
  align-items: stretch;
  margin-bottom: 0px;
  margin-top: 20px;
}
.el-card{
  height: 100%;
  min-width: 100%;
  transition: all .5s;
}
.el-header {
  background-color: #333;
}
.el-main {
  padding-top: 0;
}
.pager01{
  left:0;
  bottom: 0;
  width:100%;
  height:50px;
  text-align: center;
  list-style: none;
  padding-top:8px;
}
</style>
